#pragma once
#include "afxcmn.h"
#include <vector>


// CDlg_ListOpenings dialog

class CDlg_ListOpenings : public CDialog
{
	DECLARE_DYNAMIC(CDlg_ListOpenings)

public:
	CDlg_ListOpenings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_ListOpenings();

// Dialog Data
	enum { IDD = IDD_DIALOG_LIST_OPENINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddDataToOpenings();

	DECLARE_MESSAGE_MAP()
public:
	CListCtrl m_listOpenings;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedOk();
};


typedef struct
{
	char openingFromSource[25];
	char openingDescription[25];
	char openingGlzType[25];
	char openingLowECoating[25];
	char openingUsedDefEmissivity[25];
	char openingEmissivty[5];

	char openingArgonFilled[25];
	char openingGap[25];
	char openingPitch[5]; // ???unknown
	char openingOrientation[500];
	char openingOvershading[500];

	char openingWidth[5];
	char openingHeight[5];
	char openingLocationName[25];
	char openingOverhangDepth[5];
	char openingOverhangWidth[5];

	char openingRef[25];
	char openingLinkageMaster[25];
	char openingLinkedTo[25];

	char openingFrame[25];
	char openingThermalBreak[25];
	char openingDraughtProofing[25];
	char openingMetalLintel[25];

	char openingTransmittanceSelected[25];
	char openingTransmittanceFactor[5];

	char openingFrameSelected[25];
	char openingFrameFactor[5];

	char openingUvalueSelected[25];
	char openingUvalue[5];
}openingsList;